Subject: Re: bug#51390: 29.0.50; repeat-mode: Fails to repeat keys in global-map(?)

From: Visuwesh <[email-masked]>
Date: Tue, 16 Nov 2021 09:43:36 +0100 (CET)

16 Nov 2021, 00:24 by [email-masked]:

Hi Juri,
> Or maybe this is not a bug: since an error stops executing a keyboard macro,
> it makes sense to stop a repeating sequence on error as well
> (this logic will be applied after fixing the reported bug).
>

I think implementing this will actually end up making certain repeat-maps
tedious to use.  One example that comes to mind is
`outline-navigation-repeat-map' where it is quite easy to misfire f/b
when you actually want n/p.  Starting the map again with C-c @ C-n is
quite tedious.  I hope you reconsider this, or make the current
behaviour opt-in.

Although triggering repeat-map on error is strange for the scenario in
OP, I hope the above convinces you regardless.  I only noticed the
behaviour on error is desirable after I started using the outline functions
a bit more.